This commit is contained in:
Your Name 2024-01-12 11:54:12 +03:00
parent 6bfd116164
commit 18c5379148
2 changed files with 6 additions and 1 deletions

View File

@ -8,7 +8,7 @@ CC=cc
RTFS=$(pwd)/rootfs
#Tests
if ! ./test.sh; then
if ! env CC=$CC ./test.sh; then
echo "Build failed" >&2
exit 1;
fi

View File

@ -1,29 +1,34 @@
#!/bin/sh
#Make
if ! make -h > /dev/null; then
echo "[FAILED] Make is not installed..."
exit 1
fi
#Git
if git > /dev/null; then
echo "[FAILED] Git is not installed..."
exit 1
fi
#Texinfo
if ! makeinfo -h > /dev/null; then
echo "[FAILED] Texinfo is not installed..."
exit 1
fi
#C
out_name=$(mktemp XXXXXX)
echo "#include <stdio.h>" >> test.c
echo "int main(void){return 0;}" >> test.c
$CC test.c -o $out_name
chmod +x $out_name
rm test.c
if ! ./$out_name; then